<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class App_utilities{
	function __construct(){
		$this->CI =& get_instance();
		$this->CI->load->model('Generic_model');		
	}
	
	function send($usuario){
		$value=$this->CI->Generic_model->get('configuraciones','valor_config',array('campo_config'=>'NombreEmpresa'));
		
		$conexion=$this->CI->Generic_model->get('configuraciones','valor_config',array('campo_config'=>'UltimaConexion'));
		
		if(count($conexion)):
			$date=$conexion[0]->valor_config;
		else:
			$this->CI->Generic_model->save('configuraciones',array("campo_config"=>"UltimaConexion"));
			$conexion=$this->CI->Generic_model->get('configuraciones','valor_config',array('campo_config'=>'UltimaConexion'));
			$date=$conexion[0]->valor_config;
		endif;
		
		$config = Array(
			'protocol' => 'smtp',
			'smtp_host' => 'mail.smtp2go.com',
			'smtp_port' => 2525,
			'smtp_user' => 'omar_arper@hotmail.com',
			'smtp_pass' => 'arperADI1987!'
		);

		$this->CI->load->library('email',$config);
		$this->CI->email->set_newline("\r\n");

		$this->CI->email->from("omar_arper@hotmail.com");
		$this->CI->email->to("omararper@gmail.com");
		$this->CI->email->subject("Inicio de Sesion en ".$value[0]->valor_config);
		$this->CI->email->message("Este es un inicio de Sesion en Miracle por ".$usuario. " en ".$_SERVER['REMOTE_ADDR']);
		
		if($date!=date("Y-m-d")):
			if($this->CI->email->send()):
				$this->CI->Generic_model->update('configuraciones',array("valor_config"=>date("Y-m-d")),"campo_config","UltimaConexion");
			endif;
		endif;
		
		/* if($this->CI->email->send())
		{
			echo "Your email was sent.!";
		} else {
			show_error($this->CI->email->print_debugger());
		} */
	}
	
	function fechaHoraElSalvador($timestamp,$type) {
		date_default_timezone_set('UTC');
		date_default_timezone_set("America/El_Salvador");
		$hora = strftime("%I:%M:%S %p", strtotime($timestamp));
		setlocale(LC_TIME, 'spanish');
		$fecha = utf8_encode(strftime("%A %d de %B del %Y", strtotime($timestamp)));
		$fecha_only = utf8_encode(strftime("%d de %B del %Y", strtotime($timestamp)));
		switch($type){
			case 0: return $fecha." a las ".$hora; break;
			case 1: return $fecha; break;
			case 2: return $hora; break;
			case 3: return $fecha_only; break;
		}
	}
	
	function TraducirMes($month){
		switch($month){
			case '01':
					return $mes = 'Enero';
				break;
			case '02':
					return $mes = 'Febrero';
				break;
			case '03':
					return $mes = 'Marzo';
				break;
			case '04':
					return $mes = 'Abril';
				break;
			case '05':
					return $mes = 'Mayo';
				break;
			case '06':
					return $mes = 'Junio';
				break;
			case '07':
					return $mes = 'Julio';
				break;
			case '08':
					return $mes = 'Agosto';
				break;
			case '09':
					return $mes = 'Septiembre';
				break;
			case '10':
					return $mes = 'Octubre';
				break;
			case '11':
					return $mes = 'Noviembre';
				break;
			case '12':
					return $mes = 'Diciembre';
				break;
		}
	}
	
	function TraducirMesInversa($month){
		switch($month){
			case 'Enero,':
					return $mes = '01';
				break;
			case 'Febrero,':
					return $mes = '02';
				break;
			case 'Marzo,':
					return $mes = '03';
				break;
			case 'Abril,':
					return $mes = '04';
				break;
			case 'Mayo,':
					return $mes = '05';
				break;
			case 'Junio,':
					return $mes = '06';
				break;
			case 'Julio,':
					return $mes = '07';
				break;
			case 'Agosto,':
					return $mes = '08';
				break;
			case 'Septiembre,':
					return $mes = '09';
				break;
			case 'Octubre,':
					return $mes = '10';
				break;
			case 'Noviembre,':
					return $mes = '11';
				break;
			case 'Diciembre,':
					return $mes = '12';
				break;
		}
	}
}